<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

//require_once dirname(__FILE__).'/message.php';
//require_once ROOTDIR.'/modules/servers/CERTUM_Certificates/certumPartnerAPI/types/typeGetOrdersResponse.php';

/*
    <message name="PartnerServicePortType_getOrderByOrderIDResponse">
        <part element="tns:getOrderByOrderIDResponse" name="getOrderByOrderIDResponse"/>
    </message>
    <xs:element name="getOrderByOrderIDResponse" nillable="true" type="tns:getOrdersResponse"/>
*/

/**
 * This class represents the PartnerServicePortType_getOrderByOrderIDResponse WSDL message.
 * 
 * It has one part 'getOrderByOrderIDResponse' accessible as property or by invoking a getter method.
 * 
 * @property PartnerAPITypeGetOrdersResponse $getOrderByOrderIDResponse
 * @method PartnerAPITypeGetOrdersResponse getGetOrderByOrderIDResponse()
 * 
 * @package messages
 * @since 1.3.0
 */
class PartnerAPIMessageGetOrderByOrderIDResponse extends PartnerAPIMessage {

    /**
     * This method returns initial data for the message's parts.
     * 
     * @return array
     */
    protected function initParts() {
        return array(
            'getOrderByOrderIDResponse' => new PartnerAPITypeGetOrdersResponse()
        );
    }

}
