<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

/*
    <xs:simpleType name="certificateStatusEnum">
        <xs:restriction base="xs:string">
            <xs:enumeration value="VALID"/>
            <xs:enumeration value="REVOKING"/>
            <xs:enumeration value="REVOKED"/>
        </xs:restriction>
    </xs:simpleType>
*/

/**
 * This class represents the "certificateStatusEnum" WSDL simple type.
 * 
 * This is just a set of constant values representing enumeration type from WSDL file.
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeCertificateStatusEnum {
    
    const VALID    = "VALID";
    const REVOKING = "REVOKING";
    const REVOKED  = "REVOKED";

    /**
     * Constructor.
     */
    private function __construct() { }

}
