<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

/*
<xs:simpleType name="revocationReasonEnum">
    <xs:restriction base="xs:string">
        <xs:enumeration value="UNSPECIFIED"/>
        <xs:enumeration value="KEYCOMPROMISE"/>
        <xs:enumeration value="AFFILIATIONCHANGED"/>
        <xs:enumeration value="CESSATIONOFOPERATION"/>
        <xs:enumeration value="CERTIFICATEHOLD"/>
        <xs:enumeration value="PRIVILEGEWITHDRAWN"/>
    </xs:restriction>
</xs:simpleType>
*/

/**
 * This class represents the "revocationReasonEnum" WSDL simple type.
 * 
 * This is just a set of constant values representing enumeration type from WSDL file.
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeRevocationReasonEnum {
    
    const UNSPECIFIED          = 'UNSPECIFIED';
    const KEYCOMPROMISE        = 'KEYCOMPROMISE';
    const AFFILIATIONCHANGED   = 'AFFILIATIONCHANGED';
    const CESSATIONOFOPERATION = 'CESSATIONOFOPERATION';
    const CERTIFICATEHOLD      = 'CERTIFICATEHOLD';
    const PRIVILEGEWITHDRAWN   = 'PRIVILEGEWITHDRAWN';

    /**
     * Constructor.
     */
    private function __construct() { }

}
