<?php

class DirectadminLogsController extends DirectadminMasterControllerDriver
{
    
    public function MainHTMLAction($input, $vars = array()) 
    {
        $data = array(); 
        
        $vars['logs_status'] = $this->config->apilogs_turnon_value;
        if($this->config->apilogs_turnon_value == 'on')
        {
            $vars['logs_status_value'] = 'off';
        }
        else
        {
            $vars['logs_status_value'] = 'on';
        }
        
        $logsArray = array();
        $logsArray = MGAPILogs::listAPILogs(array('id' => 'DESC'), $this->config->logs_limit );

        if(!empty($logsArray))
        {
            if($logsArray[0] != false)
            {
                foreach($logsArray as $error)
                {
                    
                   $data[] = array(
                       'date' => str_replace(' ','<br>',$error['date']),
                       'request' => '<textarea class="test" rows="12" cols="35">'.htmlentities($error['request']).'</textarea>',
                       'response' => '<textarea rows="12" cols="35">'.$error['response'].'</textarea>'
                   );
                   
                }
            }
        }

        $vars['logs'] = $data;

        $data['moduleName'] = DACERTUM_MODULENAME;
        
         return array(
             'template'      => 'LogsList'
             ,'vars'         => $vars
         );
    }
    
    public function clearHTMLAction($input, $vars = array())
    {
        MGAPILogs::cleanAllLogs();
        $vars['success'] = MGLang::T('logsDeleteSuccess');
        
        return $this->MainHTMLAction($input, $vars);
    }
    
    public function changeHTMLAction($input, $vars = array())
    {
        if($this->config->apilogs_turnon_value == 'on')
        {
            $vars['success'] = MGLang::T('logsOff');
            $this->config->apilogs_turnon_value = 'off';
        }
        else
        {
            $vars['success'] = MGLang::T('logsOn');
            $this->config->apilogs_turnon_value = 'on';
        }
        
        return $this->MainHTMLAction($input, $vars);
    }
}