<?php 

define("DS",DIRECTORY_SEPARATOR);

define("CERTCENTERSSL_INCLUDES",'/usr/local/cpanel/share/CertumSSL/');

require_once "/usr/local/cpanel/php/cpanel.php";

require_once CERTCENTERSSL_INCLUDES.'CertumSSLLoader.php';

try
{
    $CPANEL = new CPANEL();
    
    $exSupport = new ExceptionHandler();
    $exSupport->register();
    
    
    $Main = new CertumSSLMainController('CPanel',__DIR__);
   
    $Main->setClientArea();

    $page   = empty($_REQUEST['page'])?null:$_REQUEST['page'];
    $action = empty($_REQUEST['action'])?null:$_REQUEST['action'];
    
    echo CertumSSLDriver::localAPI()->getHeader();
    echo $Main->getHTMLPage($page,$action,$_REQUEST);
    echo CertumSSLDriver::localAPI()->getFooter();
}
catch(Exception $ex){
    echo "Something Goes wrong";
}
