<?php

/* 
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

class PartnerAPIOperationReissueCertificate extends PartnerAPIOperation 
{

    protected $_input = NULL;

    protected $_output = NULL;

    protected $_operation = 'reissueCertificate';

    public function __construct() {
        $this->_input  = new PartnerAPIMessageReissueCertificate();
        $this->_output = new PartnerAPIMessageReissueCertificateResponse();
    }
    
    public function setSerialNumber($serialNumber) {
        $this->_input->reissueCertificate->setSerialNumber($serialNumber);
        return $this;
    }
    
    public function setCSR($csr) {
        $this->_input->reissueCertificate->setCSR($csr);
        return $this;
    }
    
    public function setHashAlgorithm ($hashAlgorithm ) {
        $this->_input->reissueCertificate->setHashAlgorithm($hashAlgorithm );
        return $this;
    }
    
    public function setX509Cert ($X509Cert ) {
        $this->_input->reissueCertificate->setX509Cert($X509Cert );
        return $this;
    }
}
