<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

//require_once 'type.php';
//require_once 'typeAuthToken.php';

/*
    <xs:complexType name="requestHeader">
        <xs:sequence>
            <xs:element name="authToken" type="tns:authToken"/>
        </xs:sequence>
    </xs:complexType>
*/

/**
 * This class represents the "requestHeader" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeRequestHeader setAuthToken(PartnerAPITypeAuthToken $value The authToken to be set) Sets the "authToken" element
 * @method PartnerAPITypeAuthToken getAuthToken() Gets the "authToken" element
 * @property PartnerAPITypeAuthToken $authToken Gets the "authToken" element
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeRequestHeader extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'authToken' => array('min' => 1, 'max' => 1, 'value' => new PartnerAPITypeAuthToken(), 'type' => 'PartnerAPITypeAuthToken', 'nillable' => FALSE)
        );
    }

}
