<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

/*
<xs:simpleType name="verificationLevelEnum">
    <xs:restriction base="xs:string">
        <xs:enumeration value="none"/>
        <xs:enumeration value="DV"/>
        <xs:enumeration value="DV/OV/EV"/>
    </xs:restriction>
</xs:simpleType>
*/

/**
 * This class represents the "verificationLevelEnum" WSDL simple type.
 * 
 * This is just a set of constant values representing enumeration type from WSDL file.
 * 
 * @package types
 * @since 1.3.4
 */
class PartnerAPITypeVerificationLevelEnum {
    
    const none     = 'none';
    const DV       = 'DV';
    const DV_OV_EV = 'DV/OV/EV';

    /**
     * Constructor.
     */
    private function __construct() { }

}
