<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

//require_once 'type.php';
//require_once 'typeVerifyOrderResponse_Document.php';

/*
<xs:complexType name="verifyOrderResponse">
    <xs:complexContent>
        <xs:extension base="tns:response">
            <xs:sequence>
                <xs:element maxOccurs="1" minOccurs="0" name="documents">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element maxOccurs="unbounded" minOccurs="1" name="document">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element name="id" type="xs:long"/>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
            </xs:sequence>
        </xs:extension>
    </xs:complexContent>
</xs:complexType>
*/

/**
 * This class represents the "documents" type in "verifyOrderResponse" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeVerifyOrderResponse_Documents setDocument(PartnerAPITypeVerifyOrderResponse_Document $value The document to be set) Sets the "document" element. This method removes all previously added "document" elements and creates a new set of "document" elements.
 * @method PartnerAPITypeVerifyOrderResponse_Documents addDocument(PartnerAPITypeVerifyOrderResponse_Document $value The document to be added) Adds a new "document" element to the existing set.
 * @method PartnerAPITypeVerifyOrderResponse_Document|PartnerAPITypeVerifyOrderResponse_Document[] getDocument() Gets the "document" element. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeVerifyOrderResponse_Document objects will be returned.
 * @property PartnerAPITypeVerifyOrderResponse_Document|PartnerAPITypeVerifyOrderResponse_Document[] $document Gets the "document" element. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeVerifyOrderResponse_Document objects will be returned.
 * 
 * @package types
 * @since 1.4.1
 */
class PartnerAPITypeVerifyOrderResponse_Documents extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'document' => array('min' => 1, 'max' => NULL, 'value' => new PartnerAPITypeVerifyOrderResponse_Document(), 'type' => 'PartnerAPITypeVerifyOrderResponse_Document', 'nillable' => FALSE)
        );
    }

}
