<?php
/**
 * @author Piotr Kozdęba <piotr.ko@modulesgarden.com>
 */

class DirectadminMasterControllerDriver extends AbstractControler
{
    
    /**
     * 
     * @var DirectadminLocalAPIDriver $localAPI
     */
    public $localAPI = null;
    
    /**
     * 
     * @var PartnerAPIService $remoteAPI
     */
    public $remoteAPI = null;
    
    /**
     * 
     * @var DefinitionsHelperCertumSSLConfig $config
     */
    public $config = null;
    
    function __construct($params,$options)
    { 
        parent::__construct($params,$options);
        
        $this->localAPI = CertumSSLDriver::localAPI();
        $this->remoteAPI = CertumSSLDriver::remoteAPI(); 
        $this->config = CertumSSLDriver::config(); 
    }
    
    public function getCurrentAction()
    {
        return DACERTUM_MODULENAME.parent::getCurrentAction();
    }
    
}