<?php

require_once dirname(__FILE__).DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR.'Config.php';
try {
    //get sql install queries:
    $sql_content = file_get_contents(DACERTUM_OWN_DIR.'scripts'.DS.'sql'.DS.'install.sql');
    $sql_queries = explode(';',$sql_content); 

    //get mysql config:
    
    $config = new DirectadminApiConfigurationDriver('da_mysql.conf');
    $host   = $config->get('db_host');
    $user   = $config->get('db_user');
    $pass   = $config->get('db_pass');
    $dbname = $config->get('db_name');
    
    //initialize database connection:
    MGMySQL::getInstance($host, $user, $pass, $dbname);

    $i = 0;
    foreach ($sql_queries as $query)
    {
        if (trim($query)!='')
        {
            MGMySQL::query(trim($query));
            $i++;
        }
    }

    echo $i.' database queries successfully executed.<br>';
}
catch(Exception $e)
{
    echo $e->getMessage();
}